#
%define		packagename		py-smbpasswd
#
Summary:	Python SMB Password Hash Generator module
Summary(pl.UTF-8):	Moduł języka Python kodujący hasła funkcją zgodną z SMB
Name:		python-smbpasswd
Version:	1.0.1
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://barryp.org/static/software/download/%{packagename}/%{version}/%{packagename}-%{version}.tar.gz
# Source0-md5:	0eab2c29588e32e77ce6e5d2faea7874
URL:		http://barryp.org/software/py-smbpasswd/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Obsoletes:	py-smbpasswd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python SMB Password Hash Generator module that can generate both
LANMAN and NT password hashes, suitable for use with Samba.

%description -l pl.UTF-8
Moduł języka Python kodujący hasła funkcją zgodną z hasłami LANMAN
oraz NT do wykorzystania w sieciach SMB.

%prep
%setup -q -n %{packagename}-%{version}

%build
find -type f -exec sed -i -e 's|#!.*python.*|#!%{_bindir}/python|g' "{}" ";"
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/smbpasswd-*.egg-info
%changelog
* Fri Sep 15 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-smbpasswd.git;a=log;h=master

* Fri Sep 15 2023 Jan Rękorajski <baggins@pld-linux.org> e89a842
- rel 3, package egg-info

* Fri Sep 15 2023 Jan Rękorajski <baggins@pld-linux.org> 29937a6
- obsolete duplicate py-smbpasswd, rel 2

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ca980f5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 60d0c81
- automatic change: use py_build/py_install macros

* Thu Aug 30 2012 Kacper Kornet <draenog@pld-linux.org> 7b815aa
- rpm doesn't like macro named package

* Mon May 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 37010db
- formatting, missing Date tag

* Fri May 11 2007 beorn <beorn@pld-linux.org> ed0fab0
- Checked, works, full release

* Thu May 10 2007 beorn <beorn@pld-linux.org> f2b1d38
- initial

